[![CI Build Status](https://github.com/googlefonts/noto-fonts/workflows/Continuous%20Test%20+%20Deploy/badge.svg?branch=main)](https://github.com/googlefonts/noto-fonts/actions/workflows/ci.yml?query=workflow%3ATest+branch%3Amain)

![Noto](images/noto.png)

# IMPORTANT

*This repository is in the process of being migrated.*

*New versions of Noto fonts will soon be available at* https://notofonts.github.io

*To report a bug in a Noto font, please visit* https://notofonts.github.io/reporter.html

# Noto Fonts

Noto’s goal is to provide a beautiful reading experience for all languages. It is a free, professionally-designed, open-source collection of fonts with a harmonious look and feel in multiple weights and styles. All Noto fonts are published under the [SIL Open Font License (OFL) v1.1](http://scripts.sil.org/OFL), which allows you to copy, modify, and redistribute them if you need to.

For background, technical details, and how to contribute, see the [EN FAQ](FAQ.md) or [KR FAQ 자주 묻는 질문](FAQ-KR.md).

Have fun with Noto! — Google Fonts Team

## Usage Notes

If you want to use Noto on Windows, please download [hinted fonts](https://github.com/googlefonts/noto-fonts/tree/main/hinted/ttf) where available.

If you want to download this git repo to obtain copies of the latest fonts, use the following command with the `depth` option to avoid downloading gigabytes of historical version data you won't need:

    git clone git@github.com:googlefonts/noto-fonts.git --depth 1;


## Recent updates

#### 2022.02.07
A end issues for *NotoSerifDivesAkuru* and *NotoSerifMakasar*: thanks to work by [David Corbett](https://github.com/dscorbett) we fixed all issues.

#### 2022.01.28
A big update for *NotoNastaliqUrdu*: thanks to work by [Simon Cozens](https://github.com/simoncozens) we now have a variable font for Nastaliq.

#### 2022.01.28
Added new scripts *NotoSerifDivesAkuru* and *NotoSerifMakasar* to the Noto collection.

#### 2022.01.11
Added a new script *NotoSansTangsa* to the Noto collection. *NotoSerifTangsa* will arrive soon.

#### 2021.12.16
Published an update to NotoSerifDogra adding Medium, SemiBold and Bold instances + a variable font.

#### 2021.12.16
Published new versions of NotoSansBrahmi, NotoSansCaucasianAlbanian, NotoSansElbasan, NotoSansKhudawadi, NotoSansLepcha, NotoSansMahajani, NotoSansSharada, NotoSansMendeKikakui, NotoSansManichaean, NotoSansLimbu, NotoSansInscriptionalPahlavi, NotoSansInscriptionalParthian, NotoSansTirhuta, and NotoSansHanunoo. Their version number is up by 0.001. There should be nothing new and nothing different when compared to the older versions. We have changed the sources for these fonts to stop using MTI FontDame feature file formats and started using AFDKO features embedded in the .glyphs files. While I hope we have done a thourough and exact update if there are any issues please file a new issue here.

#### 2021.11.13
Added a new script *NotoSansNandinagari* to the Noto collection (this completes Noto additions related to new scripts in the Unicode Version 12.0).

#### 2021.11.02
We have rebuilt everything with the newest fontmake and made sure that all of the font families are consistent across instances, variable fonts, etc.. There were no other changes.

#### 2021.10.19
*NotoSerifVithkuqi*: a new script that was recently approved in Unicode 14. *NotoSansVithkuqi* is also in the works.

#### 2021.10.04
*NotoSansCoptic*: bug fixes.

#### 2021.09.29
*NotoSansCanadianAboriginal*: Unicode 14.0 additions. Adding 16 glyphs (range: U+11AB0–11ABF; Unified Canadian Aboriginal Syllabics Extended-A) to Noto UCAS sources covering the Unicode 14.0 UCAS character additions. Adding outlines and fitting for 12 Nattilik glyphs (U+11AB0–11ABB) and 4 Cree/Ojibway sp-series (U+11ABC–11ABF), and ensuring compatibility across all sources for these glyphs.

#### 2021.06.03

*NotoNaskhArabic*: all of diacrritics now support Bold weight (and variable) replacing prior Regular only diacritics.
*NotoKufiArabic*: updated Kufi style to include some (not all :-)) codepoints listed in https://github.com/googlefonts/noto-fonts/issues/1870

#### 2021.04.20

The Noto fonts published on this date were built using the newest fontmake which resolved an issue impacting [Noto fonts on Windows](https://github.com/googlefonts/noto-fonts/issues/2066). The following applications are affected: MS Write, MS Word and MS Powerpoint.
Note that only fonts published on 2021.04.20 have this issue resolved. We are working on validating the other Noto fonts which will be published at a later date.

#### 2021.03.24

This is work in progress - we have published an update to Greek codepoints in NotoSans. Similar changes will arrive between now and end of 2021 to all Latin Greek Cyrillic Noto fonts. For changes please see [NotoSans update](https://github.com/googlefonts/noto-source/blob/main/WIP-GRK/20210310-NotoSans-MM.pdf). In other files in https://github.com/googlefonts/noto-source/blob/main/WIP-GRK/ you'll find various update details. The next update, to NotoSansDisplay will arive in early April.

#### 2021.02.28

We have recompiled all the existing sources with a new version of the fontmake compiler. The released fonts have the same version, and virtually are the same (but compilation date) as the fonts which were released previously. Therefore, there's no need to update anything if you track the fonts in this repository.

## Noto Issues

When you, a user, create Noto issues for every problem that you encounter using Noto fonts, it helps us to improve our offering.
We appreciate your contributions to Noto improvements.

Here are some graphs and statistics, updated weekly, based on the Noto issue tracker:

![Scripts with More Than 10 Issues](images/topscripts-data.png)

![Script with most issues](images/TOP01-script-data.png)

![Second script with most issues](images/TOP02-script-data.png)

![Third script with most issues](images/TOP03-script-data.png)

![Per Week Issues Created and Closed over the Last 17 Weeks](https://github.com/googlefonts/noto-fonts/blob/main/images/15-weeks-data.png)

![Per Month Issues Created and Closed over the Last 12 Months](images/12-month-data.png)

![Per Month Issues Created and Closed Since Noto Started](images/periodic-data.png)

![Total Issues Created and Closed Since Noto Started](images/cumulative-data.png)
